> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve IBAN details

> Returns IBAN details including the IBAN number, BIC, and Status.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/ibans/details
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/ibans/details:
    get:
      tags:
        - IBAN
      summary: Retrieve IBAN details
      description: Returns IBAN details including the IBAN number, BIC, and Status.
      responses:
        '200':
          description: Successfully retrieved IBAN details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    required:
                      - ibanStatus
                    properties:
                      iban:
                        type: string
                        nullable: true
                        example: DE44500105175407324931
                      bic:
                        type: string
                        nullable: true
                        example: GENODEM1GLS
                      ibanStatus:
                        type: string
                        enum:
                          - NOTSTARTED
                          - PENDING
                          - PENDING_OAUTH
                          - ASSIGNED
                        example: PENDING
                      address:
                        type: string
                        nullable: true
                        example: '0x71C7656EC7ab88b098defB751B7401B5f6d8976F'
                        description: >-
                          The blockchain address associated with this IBAN
                          account
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      deprecated: true
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````